> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an engagement

> Update an engagement (a task or activity) on an object in HubSpot. See the documentation for creating an engagement for more details on the fields that can be included. Note: Associations cannot be modified using this endpoint. Use the CRM associations API to update associations for existing engagements.



## OpenAPI

````yaml specs/legacy/v1/crm-engagements-v1.json PATCH /engagements/v1/engagements/{engagementId}
openapi: 3.0.0
info:
  title: CRM Engagements API v1
  version: 1.0.0
  description: Legacy CRM Engagements API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /engagements/v1/engagements/{engagementId}:
    patch:
      summary: Update an engagement
      description: >-
        Update an engagement (a task or activity) on an object in HubSpot. See
        the documentation for creating an engagement for more details on the
        fields that can be included. Note: Associations cannot be modified using
        this endpoint. Use the CRM associations API to update associations for
        existing engagements.
      operationId: patchengagementsv1engagementsengagementId
      parameters:
        - name: engagementId
          in: path
          required: true
          description: The unique ID of the engagement you want to update.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                engagement:
                  type: object
                  properties:
                    ownerId:
                      type: integer
                    timestamp:
                      type: integer
                metadata:
                  type: object
                  description: >-
                    An object representing the details of the engagement. Format
                    varies by engagement type.
      responses:
        '200':
          description: Successful response - Engagement updated successfully
          content:
            application/json:
              schema:
                type: object

````